
double _efl_canvas_gesture_zoom_radius_get(const Eo *obj, Efl_Canvas_Gesture_Zoom_Data *pd);


static Eina_Value
__eolian_efl_canvas_gesture_zoom_radius_get_reflect(const Eo *obj)
{
   double val = efl_gesture_zoom_radius_get(obj);
   return eina_value_double_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gesture_zoom_radius_get, double, 0);

double _efl_canvas_gesture_zoom_zoom_get(const Eo *obj, Efl_Canvas_Gesture_Zoom_Data *pd);


static Eina_Value
__eolian_efl_canvas_gesture_zoom_zoom_get_reflect(const Eo *obj)
{
   double val = efl_gesture_zoom_get(obj);
   return eina_value_double_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_gesture_zoom_get, double, 0);

static Eina_Bool
_efl_canvas_gesture_zoom_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_GESTURE_ZOOM_EXTRA_OPS
#define EFL_CANVAS_GESTURE_ZOOM_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gesture_zoom_radius_get, _efl_canvas_gesture_zoom_radius_get),
      EFL_OBJECT_OP_FUNC(efl_gesture_zoom_get, _efl_canvas_gesture_zoom_zoom_get),
      EFL_CANVAS_GESTURE_ZOOM_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"radius", NULL, __eolian_efl_canvas_gesture_zoom_radius_get_reflect},
      {"zoom", NULL, __eolian_efl_canvas_gesture_zoom_zoom_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_gesture_zoom_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Gesture_Zoom",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Gesture_Zoom_Data),
   _efl_canvas_gesture_zoom_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_gesture_zoom_class_get, &_efl_canvas_gesture_zoom_class_desc, EFL_CANVAS_GESTURE_CLASS, NULL);
